import React from "react";
import PropTypes from 'prop-types';

export default class Expandable extends React.Component {

  RevealHiddenOverflow = (expandParent, dt, spanId) => () => {
    const doc = document.getElementById(dt);
    if (doc.style.overflow === "hidden") {

      doc.style.overflow = "visible";
      doc.style.whiteSpace = "normal";
      document.getElementById(spanId).style.display = "none"
      document.getElementById(expandParent).style.width = 'auto'
    }
    else {
      doc.style.overflow = "hidden";
    }
  }
  render() {
    const {contentHTML, contentText} = this.props;
    const expandParent = `expand-parent-${(((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1)}`
    const dt = `dt-${(((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1)}`
    const spanId = `span-${(((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1)}`
    return (<div id={expandParent} style={{ display: "inline-block", width: 'calc(100vw - 398px)' }}>
      {contentHTML ? <div id={dt} style={{ overflow: 'hidden', whiteSpace: 'nowrap', width: 'inherit', display: 'inline-block' }} dangerouslySetInnerHTML={{ __html: this.props.contentHTML }}>{this.props.contentText}</div> :contentText?
        <div id={dt} style={{ overflow: 'hidden', whiteSpace: 'nowrap', width: 'inherit', display: 'inline-block' }}>{this.props.contentText}</div>: 'No Data :)'}

      {(!contentText || !contentHTML) && <span id={spanId} style={{ position: "absolute", color: '#1890ff', cursor: 'pointer' }} onClick={this.RevealHiddenOverflow(expandParent, dt, spanId)}>&nbsp;&nbsp;&nbsp;Expand</span>}
    </div>)
  }
}
Expandable.propTypes = {
  /**
   * contentHTML in terms of html as string
   */
  contentHTML: PropTypes.string,
  /** contentText in terms of text as string */
  contentText: PropTypes.string
};

